%define upstream_name    Math-Vector-Real
%define upstream_version 0.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Real vector arithmetic in Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
A simple pure perl module to manipulate vectors of any dimension.

The function 'V', always exported by the module, allows to create new
vectors:

  my $v = V(0, 1, 3, -1);

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.180.0-4.mga8
+ Revision: 1505108
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.180.0-3.mga7
+ Revision: 1284765
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.180.0-2.mga7
+ Revision: 1165451
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.180.0-1.mga7
+ Revision: 1159483
- update to 0.18

* Sun Jun 19 2016 pterjan <pterjan> 0.170.0-3.mga6
+ Revision: 1029826
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.170.0-2.mga6
+ Revision: 967648
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.170.0-1.mga6
+ Revision: 850015
- update to 0.17

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-3.mga5
+ Revision: 741369
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-2.mga5
+ Revision: 685383
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 sander85 <sander85> 0.140.0-1.mga5
+ Revision: 632964
- update to 0.14

* Tue May 06 2014 jquelin <jquelin> 0.110.0-1.mga5
+ Revision: 620684
- update to 0.11

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-3.mga4
+ Revision: 512872
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 369682
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.100.0-1.mga3
+ Revision: 286277
- update to 0.10

* Wed Jul 04 2012 jquelin <jquelin> 0.90.0-1.mga3
+ Revision: 267388
- update to 0.09

* Thu Nov 10 2011 kharec <kharec> 0.80.0-1.mga2
+ Revision: 166353
- update to 0.08

* Thu Jun 30 2011 jquelin <jquelin> 0.60.0-1.mga2
+ Revision: 116520
- imported package perl-Math-Vector-Real


* Thu Jun 30 2011 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
